/* tmnb6d.f -- translated by f2c (version 20000817).
   You must link the resulting object file with the libraries:
        -lf2c -lm   (in that order)
*/

#include "f2c.h"

int main(void)
{
    /* Initialized data */
    static double alfa = 1.;
    static double beta = .5;
    static double gam = 2.;
    static int n = 4;
    static int itmax = 10000;
    static int maxk = 2500;
    static double acc = 1e-9;
    static double a = 1.;
    static double xx[4] = { -1.,-2.,-3.,-4. };

    /* Local variables */
    static double xcen[4];
    static int ierr;
    static double xref[4], xcon[4];
    extern int mnb6d_c(int *, int *, int *, double *, double *, double *,
                       double *, double *, double *, double *, double *,
                       double *, double *, double *, double *, double *,
                       int *, U_fp, int *);
    static double x[20] /* was [5][4] */, z__[5];
    extern int funt02_c();
    static double ff;
    static int np1;
    static double xex[4];

    np1 = n + 1;
    printf("\n %16.7e %16.7e %16.7e %16.7e \n", xx[0], xx[1], xx[2], xx[3]);
    mnb6d_c(&n, &np1, &itmax, &alfa, &beta, &gam, &acc, &a, x, xcen, z__,
            xref, xcon, xex, xx, &ff, &maxk, (U_fp)funt02_c, &ierr);

    printf("\n\n %5i \n", ierr);
    printf("\n %5i \n", itmax);
    printf("\n %5i \n", maxk);
    printf("\n %16.7e \n", ff);
    printf("\n %16.7e %16.7e %16.7e %16.7e \n", xx[0], xx[1], xx[2], xx[3]);
    return 0;
} /* main */

int funt02_c(double *x, double *f, double *fe)
{
    /* System generated locals */
    double d__1, d__2, d__3, d__4;

    /* Parameter adjustments */
    --x;

    /* Function Body */
/* Computing 2nd power */
    d__1 = x[1] - 1.;
/* Computing 2nd power */
    d__2 = x[2] - 1.;
/* Computing 2nd power */
    d__3 = x[3] - 1.;
/* Computing 2nd power */
    d__4 = x[4] - 1.;
    *f = d__1 * d__1 + d__2 * d__2 * 10 + d__3 * d__3 * 100. +
         d__4 * d__4 * 1e3;
    return 0;
} /* funt02_c */
